var URL='http://www.antliepin.com/';
(function ($, app) {
	
	app.immersed = function () {
        var immersed = 0;
        console.log(navigator.userAgent)
        var ms = (/Html5Plus\/.+\s\(.*(Immersed\/(\d+\.?\d*).*)\)/gi).exec(navigator.userAgent);
        if (ms && ms.length >= 3) {
            immersed = parseFloat(ms[2]);
        }
        return immersed;
    }
	
	app.immersedCom = function () {
        var immersed = app.immersed();
        if (!immersed) {
            return;
        }
        var head = document.querySelector('header'),
			content = document.querySelector('header~.mui-content'),
			scroll = document.querySelector('header~.scroll-div');
        if (head) {
            head.style.paddingTop = immersed + 'px';
        }
        if (content) {
            content.style.paddingTop = head.offsetHeight + 'px';
        }
        if (scroll) {
            scroll.style.top = head.offsetHeight + 'px';
        }
    }
	//获取是否登陆的状态
	app.getState = function () {
        var stateText = localStorage.getItem('$state') || "{}";
        return JSON.parse(stateText);
    };
    //设置是否登陆的状态
    app.setState = function (state) {
        state = state || {};
        localStorage.setItem('$state', JSON.stringify(state));
        plus.storage.setItem('appuserkey', state.userkey || '');
    };
    //获取城市地址缓存
	app.getCityState = function () {
        var stateText = localStorage.getItem('$cityState') || "{}";
        return JSON.parse(stateText);
    };
    //设置城市地址缓存
    app.setCityState = function (state) {
        state = state || {};
        localStorage.setItem('$cityState', JSON.stringify(state));
    };
    //设置企业用户缓存
    app.setComapnyInfo = function (state) {
        state = state || {};
        localStorage.setItem('$comapnyInfo', JSON.stringify(state));
    };
    //获取企业用户缓存
	app.getComapnyInfo = function () {
        var stateText = localStorage.getItem('$comapnyInfo') || "{}";
        return JSON.parse(stateText);
    };
    //设置企业用户营业执照缓存
    app.setComapnyLicense = function (state) {
        state = state || {};
        localStorage.setItem('$comapnyLicense', JSON.stringify(state));
    };
    //获取企业用户营业执照缓存
	app.getComapnyLicense = function () {
        var stateText = localStorage.getItem('$comapnyLicense') || "{}";
        return JSON.parse(stateText);
    };
    //设置个人用户缓存
    app.setPersonalInfo = function (state) {
        state = state || {};
        localStorage.setItem('$personalInfo', JSON.stringify(state));
    };
    //获取个人用户缓存
	app.getPersonalInfo = function () {
        var stateText = localStorage.getItem('$personalInfo') || "{}";
        return JSON.parse(stateText);
    };
    //设置个人用户简历缓存
    app.setPersonalJianli = function (state) {
        state = state || {};
        localStorage.setItem('$personalJianli', JSON.stringify(state));
    };
    //获取个人用户简历缓存
	app.getPersonalJianli = function () {
        var stateText = localStorage.getItem('$personalJianli') || "{}";
        return JSON.parse(stateText);
   };
   //设置导航缓存
    app.setNav = function (state) {
        state = state || {};
        localStorage.setItem('$navInfo', JSON.stringify(state));
    };
    //获取导航缓存
	app.getNav = function () {
        var stateText = localStorage.getItem('$navInfo') || "{}";
        return JSON.parse(stateText);
    };
    //登录
    app.login = function (loginInfo, callback) {
    	/**
		 * mui noop(function)
		 * $.noop = function() {};
		*/
        callback = callback || $.noop;
        loginInfo = loginInfo || {};
        loginInfo.username = loginInfo.username || '';
        loginInfo.password = loginInfo.password || '';
        console.log(loginInfo.username);
        console.log(loginInfo.password);
        if (loginInfo.username.length < 4) {
            return callback('账号最短为 4 个字符');
        }
        if (loginInfo.password.length < 6) {
            return callback('密码最短为 6 个字符');
        }
        //显示系统等待对话框
        var waitLogin = plus.nativeUI.showWaiting();
        $.ajax(URL + '/api/app/index.php?m=com&c=login', {
            data: {
                username: loginInfo.username,
                password: loginInfo.password
            },
            dataType: 'json',
            type: 'post',
            timeout: 20000,
            success: function (data) {
            	console.log(JSON.stringify(data));
                waitLogin.close();
                if(data.error == 1) {
                	callback('登陆成功！');
                	return app.createState(data.username, data.uid, data.usertype, callback);
                } else if(data.error == 2) {
                	callback('请检查参数是否正确');
                } else if(data.error == 3) {
                	callback('用户名不存在，请检查用户名');
                } else if(data.error == 4) {
                	callback('密码不正确');
                }
            },
            error: function (xhr, type, errorThrown) {
                console.log(JSON.stringify(xhr.responseText));
				console.log(type);
				console.log(errorThrown);
                waitLogin.close();
                callback('请求失败，请检查网络');
            }
        });
    };
    app.isLogin = function () {
        var userState = JSON.parse(localStorage.getItem('$state') || "{}");
        console.log("---------------------");
        console.log(JSON.stringify(userState));
        console.log("---------------------");
        if(!isEmptyObject(userState)) {
        	return true;
        } else {
        	return false;	
        }
//		if (userState.userkey && userState.userkey != '') {
//          return true;
//      } else {
//          return false;
//      }
    }
	//创建存储
	app.createState = function (name, userId, userkey, callback) {
        var state = app.getState();
        state.account = name;
        state.userId = userId;
        state.userkey = userkey;
        app.setState(state);
        return callback();
    };
    
	//判断是否是ios
    app.ios = function () {
        if (plus.os.name.toLocaleLowerCase() == 'ios') {
            return true;
        } else {
            return false;
        }
    };
    
    //打开新窗口
    app.openVW = function (id, extras) {
        $.openWindow({
            id: id,
            url: id,
            extras: extras,
            show: {
                autoShow: true,//页面loaded事件发生后自动显示，默认为true
                aniShow: 'pop-in',//页面显示动画
                duration: 300//页面动画持续时间
            },
            waiting: {
                autoShow: false//自动显示等待框，默认为true
            }
        });
    }
    
    //打开新窗口1
    app.openView = function (id, style, extras) {
        $.openWindow({
            id: id,
            url: id,
            styles: style,
            extras: extras,
            show: {
                autoShow: true,//页面loaded事件发生后自动显示，默认为true
                aniShow: 'pop-in',//页面显示动画
                duration: 300//页面动画持续时间
            },
            waiting: {
                autoShow: false//自动显示等待框，默认为true
            }
        });
    }
    
    //日期格式化
    app.timeFormat = function () {
        var d = new Date(),
			year = d.getFullYear(),
			month = d.getMonth() + 1,
			day = d.getDate(),
			hours = d.getHours(),
			minutes = d.getMinutes(),
			seconds = d.getSeconds();

        if (month < 10) month = '0' + month;
        if (day < 10) day = '0' + day;
        if (hours < 10) hours = '0' + hours;
        if (minutes < 10) minutes = '0' + minutes;
        if (seconds < 10) seconds = '0' + seconds;

        return (year + '-' + month + '-' + day + ' ' + hours + ':' + minutes + ':' + seconds);
    }
    
    //时格式化
	app.formatTimeNews = function(format, dateTime) {
	  var date = {
	    "M+": dateTime.getMonth() + 1,
	    "d+": dateTime.getDate(),
	    "h+": dateTime.getHours(),
	    "m+": dateTime.getMinutes(),
	    "s+": dateTime.getSeconds(),
	    "q+": Math.floor((dateTime.getMonth() + 3) / 3),
	    "S+": dateTime.getMilliseconds()
	  };
	  if (/(y+)/i.test(format)) {
	    format = format.replace(RegExp.$1, (dateTime.getFullYear() + '').substr(4 - RegExp.$1.length));
	  }
	  for (var k in date) {
	    if (new RegExp("(" + k + ")").test(format)) {
	      format = format.replace(RegExp.$1, RegExp.$1.length == 1
	        ? date[k] : ("00" + date[k]).substr(("" + date[k]).length));
	    }
	  }
	  return format;
	}
	//时间戳转日期
	app.formatTimeStamp = function(timeStamp) {
	  var newDate = new Date();
	  newDate.setTime(timeStamp * 1000);
	  return newDate;
	}
    //判断el这个元素的class是否包含name
    app.hasClass = function (el, name) {
        return (el.className.indexOf(name) >= 0);
    }
    //移除el这个元素class为name的
    app.removeClass = function (el, name) {
        if (!el)
            return;
        if (el.className.indexOf(name) >= 0)
            el.className = el.className.replace(name, '');
    }
    //去除两端空格
    app.trim = function (str) {
        return str.replace(/(^\s*)|(\s*$)/g, "");
    }
    //验证姓名
    app.checkChinese = function (chinese){ 
    	chinese = chinese || '';
    	var reg = /^([\u4e00-\u9fa5]){2,7}$/;
    	return (reg.test(chinese));
	} 
    //验证邮箱格式
    app.checkEmail = function (email) {
        email = email || '';
        return (email.length > 3 && email.indexOf('@') > -1);
    };
    //验证手机号
    app.checkMobile = function (mobile){ 
    	mobile = mobile || '';
    	var reg = /^1[3|4|5|7|8|9][0-9]\d{8}$/;
    	return (reg.test(mobile));
	} 
	//验证qq号
    app.checkQQ = function (qq){ 
    	qq = qq || '';
    	var reg = /^[1-9][0-9]{4,14}$/;
    	return (reg.test(qq));
	} 
	//轮播图
	app.initSwiper = function () {
        var swiper = new Swiper('.swiper-container', {
            pagination: '.swiper-pagination',
            autoplay: 4000,
            speed: 500
        });
    }
	app.customHref = function () {
        mui('.mui-content').on('tap', '.custom-href', function () {console.log(000)
            var href = this.getAttribute('data-href').toLowerCase(),
				id;
            if (href.indexOf(URL) >= 0) {
                if (href.indexOf('companydetail/') >= 0) {
                    id = href.split('companydetail/')[1];
                    showCompany(id);
                } else if (href.indexOf('jobdetail/') >= 0) {
                    id = href.split('jobdetail/')[1];
                    showJob(id);
                } else if (href.indexOf('newsdetail/') >= 0) {
                    id = href.split('newsdetail/')[1];
                    jm.openVW('newsDetail.html', {nid: nid});
                } else {
                    plus.runtime.openURL(href)
                }
            } else {
                plus.runtime.openURL(href)
            }

        });
    }
}(mui, window.jm = {}));

jm.immersedCom();

//打开职位详情页
function showJob(id) {
    mui.fire(plus.webview.getWebviewById('jobDetail.html'), 'updateData', { jobId: id });
    mui.openWindow({
        id: 'jobDetail.html',
        url: 'jobDetail.html',
        show: {
            autoShow: true,
            aniShow: 'pop-in',
            duration: 300
        },
        waiting: {
            autoShow: false
        }
    });
}
//打开职位列表
function showJobList() {
    mui.fire(plus.webview.getWebviewById('jobList.html'), 'updateData');
    mui.openWindow({
        id: 'jobList.html',
        url: 'jobList.html',
        show: {
            autoShow: true,
            aniShow: 'pop-in',
            duration: 300
        },
        waiting: {
            autoShow: false
        }
    });
}
//是否为空对象
function isEmptyObject(el) {
    for (var n in el) { return false }
    return true;
}
//打开登录页
function showLogin(params) {
    //plus.nativeUI.toast('请先登录');
    mui.openWindow({
        id: 'login.html',
        url: 'login.html',
        extras: {
            params: params
        },
        show: {
            autoShow: true,
            aniShow: 'zoom-fade-out'
        },
        waiting: {
            autoShow: false
        }
    });
}
//打开公司详情页
function showCompany(id) {
    mui.fire(plus.webview.getWebviewById('companyDetail.html'), 'updateData', { companyId: id });
    mui.openWindow({
        id: 'companyDetail.html',
        url: 'companyDetail.html',
        show: {
            autoShow: true,
            aniShow: 'pop-in',
            duration: 300
        },
        waiting: {
            autoShow: false
        }
    });
}
//打开简历详情页
function showTalent(id) {
    mui.fire(plus.webview.getWebviewById('talentDetail.html'), 'updateData', { eId: id });
    mui.openWindow({
        id: 'talentDetail.html',
        url: 'talentDetail.html',
        show: {
            autoShow: true,
            aniShow: 'pop-in',
            duration: 300
        },
        waiting: {
            autoShow: false
        }
    });
}
//邀请面试
function inviteInterview(id, user, resume) {
    mui.fire(plus.webview.getWebviewById('cInterviewForm.html'), 'updateData', { eId: resume, id: id, userId: user });
    mui.openWindow({
        id: 'cInterviewForm.html',
        url: 'cInterviewForm.html',
        show: {
            autoShow: true,
            aniShow: 'pop-in',
            duration: 300
        },
        waiting: {
            autoShow: false
        }
    });
}
//个人打开邀请面试
function inviteDetail(id, user, resume) {
    mui.fire(plus.webview.getWebviewById('interviewDetail.html'), 'updateData', { eId: resume, id: id, userId: user });
    mui.openWindow({
        id: 'interviewDetail.html',
        url: 'interviewDetail.html',
        show: {
            autoShow: true,
            aniShow: 'pop-in',
            duration: 300
        },
        waiting: {
            autoShow: false
        }
    });
}

mui('body').on('tap', '#reloadWv', function() {
	plus.webview.currentWebview().reload();
});
function reloadWvLoad(){
	var errorText = document.createElement('div');
    errorText.innerHTML = '<div class= "empty-show"><h4>网络不给力，请检查网络！</h4><button id="reloadWv" class="mui-btn mui-btn-negative">重新加载</button></div>';
    errorText.setAttribute('class','empty-show-box');
    document.body.appendChild(errorText);
}
function nodataToJL(desc, btnText){
	var errorText = document.createElement('div');
	var str = "";
    str += '<div class="wap_member_no">';
	str += '	  <div class="wap_member_no_p1">';
	str += '	  '+desc+'<div><button class="wap_member_no_submit" id= "toujianli">'+btnText+'</button></div>';
	str += '	  </div>';
	str += '	</div>';
	errorText.innerHTML = str;
	console.log(errorText.innerHTML)
    //errorText.innerHTML = '<div class= "empty-show"><h4>网络不给力，请检查网络！</h4><button id="reloadWv" class="mui-btn mui-btn-negative">重新加载</button></div>';
    errorText.setAttribute('class','empty-show-box');
    document.body.appendChild(errorText);
}
mui('body').on('tap', '#toujianli', function() {
	showJobList();
});